﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Syncfusion.JavaScript.Models;
using Syncfusion.JavaScript.DataVisualization;

namespace ConsoleApp1
{
    public class Program
    {
        public static void Main(string[] args)
        {
            Console.WriteLine("Sma Technical indicator point values:");
            List<ChartData> values = new List<ChartData>();
            List<int> indicatorData = new List<int>();
            int period = 5;
            int sum = 0;
            int pointsLength = 20;
            int[] closeValues = new int[pointsLength];
            Random random = new Random();
            for (int i = 0; i < pointsLength; i++)
            {
                int x = i;
                int y = random.Next(50);
                values.Add(new ChartData(x, y));
            }

            for (int i = 0; i < pointsLength; i++)
            {
                closeValues[i] = values[i].Close;
            }
            int close_length = closeValues.Length;
            int smaCount = 0;
            List<int> smavalues = new List<int>();
            while (close_length >= period)
            {
                for (var j = 0; j < period; j++)
                {
                    sum = sum + closeValues[j];

                }
                sum = sum / period;
                smavalues.Add(sum);
                smaCount++;
                closeValues = closeValues.Skip(1).ToArray();
                close_length = closeValues.Length;
            }
            for (var k = 0; k < pointsLength; k++)
            {
                if (k < period - 1)
                {
                    int val = 0;
                    indicatorData.Add(val);
                }
                else
                {
                    indicatorData.Add(smavalues[k - (period - 1)]);
                }

            }
            foreach (int data in indicatorData)
            {
                Console.WriteLine("{0}", data);
            }
            Console.ReadKey();
        }
        public class ChartData
        {
            public ChartData(int open, int close)
            {
                this.Open = open;
                this.Close = close;
            }
            public int Open
            {
                get;
                set;
            }
            public int Close
            {
                get;
                set;
            }
        }
    }
}
